net.sf.jasperreports.engine.fonts

## Interface FontFamily

- All Known Implementing Classes:
    SimpleFontFamily

      public interface FontFamily

  Version:
    $Id: FontFamily.java 6511 2013-09-13 17:10:48Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FontFace` | `getBoldFace()`
    `FontFace` | `getBoldItalicFace()`
    `java.lang.String` | `getBoldItalicPdfFont()` Deprecated. Replaced by `FontFace.getPdf()`.
    `java.lang.String` | `getBoldPdfFont()` Deprecated. Replaced by `FontFace.getPdf()`.
    `java.lang.String` | `getExportFont(java.lang.String key)`
    `FontFace` | `getItalicFace()`
    `java.lang.String` | `getItalicPdfFont()` Deprecated. Replaced by `FontFace.getPdf()`.
    `java.lang.String` | `getName()`
    `FontFace` | `getNormalFace()`
    `java.lang.String` | `getNormalPdfFont()` Deprecated. Replaced by `FontFace.getPdf()`.
    `java.lang.String` | `getPdfEncoding()`
    `java.lang.Boolean` | `isPdfEmbedded()`
    `boolean` | `isVisible()`
    `boolean` | `supportsLocale(java.util.Locale locale)`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getNormalFace

          FontFace getNormalFace()

    - #### getBoldFace

          FontFace getBoldFace()

    - #### getItalicFace

          FontFace getItalicFace()

    - #### getBoldItalicFace

          FontFace getBoldItalicFace()

    - #### getNormalPdfFont

          java.lang.String getNormalPdfFont()

      Deprecated. Replaced by `FontFace.getPdf()`.

    - #### getBoldPdfFont

          java.lang.String getBoldPdfFont()

      Deprecated. Replaced by `FontFace.getPdf()`.

    - #### getItalicPdfFont

          java.lang.String getItalicPdfFont()

      Deprecated. Replaced by `FontFace.getPdf()`.

    - #### getBoldItalicPdfFont

          java.lang.String getBoldItalicPdfFont()

      Deprecated. Replaced by `FontFace.getPdf()`.

    - #### getPdfEncoding

          java.lang.String getPdfEncoding()

    - #### isPdfEmbedded

          java.lang.Boolean isPdfEmbedded()

    - #### getExportFont

          java.lang.String getExportFont(java.lang.String key)

    - #### supportsLocale

          boolean supportsLocale(java.util.Locale locale)

    - #### isVisible

          boolean isVisible()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com